# To get the unique host for an index,
# see https://docs.pinecone.io/guides/manage-data/target-an-index
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_HOST="INDEX_HOST"
curl -X GET "https://$INDEX_HOST/bulk/imports/101" \
-H 'Api-Key: $PINECONE_API_KEY' \
-H 'X-Pinecone-Api-Version: 2026-07'
{
"id": "101",
"uri": "<string>",
"status": "Pending",
"createdAt": "2023-11-07T05:31:56Z",
"percentComplete": 42.2,
"recordsImported": 1000000,
"finishedAt": "2023-11-07T05:31:56Z",
"error": "<string>",
"validationResult": {
"importSuccesses": 999990,
"importErrors": 10
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}"Unauthorized"{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}Describe an import
Return details of a specific import operation.
For guidance and examples, see Import data.
# To get the unique host for an index,
# see https://docs.pinecone.io/guides/manage-data/target-an-index
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_HOST="INDEX_HOST"
curl -X GET "https://$INDEX_HOST/bulk/imports/101" \
-H 'Api-Key: $PINECONE_API_KEY' \
-H 'X-Pinecone-Api-Version: 2026-07'
{
"id": "101",
"uri": "<string>",
"status": "Pending",
"createdAt": "2023-11-07T05:31:56Z",
"percentComplete": 42.2,
"recordsImported": 1000000,
"finishedAt": "2023-11-07T05:31:56Z",
"error": "<string>",
"validationResult": {
"importSuccesses": 999990,
"importErrors": 10
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}"Unauthorized"{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}# To get the unique host for an index,
# see https://docs.pinecone.io/guides/manage-data/target-an-index
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_HOST="INDEX_HOST"
curl -X GET "https://$INDEX_HOST/bulk/imports/101" \
-H 'Api-Key: $PINECONE_API_KEY' \
-H 'X-Pinecone-Api-Version: 2026-07'
Authorizations
Headers
Required date-based version header
Path Parameters
Unique identifier for the import operation.
1 - 1000Response
Details of the import operation.
The model for an import operation.
Unique identifier for the import operation.
1 - 1000"101"
The URI from where the data is imported.
The status of the operation.
Possible values: Pending, InProgress, Failed, Completed, or Cancelled.
"Pending"
The start time of the import operation.
The progress made by the operation, as a percentage.
0 <= x <= 10042.2
The number of records successfully imported.
x >= 01000000
The end time of the import operation.
The error message if the import process failed.
The result of the validation run performed on the import data. Present only once validation has run.
Show child attributes
Show child attributes
Was this page helpful?